APIAnalytics

List top blocked MCPs

Top MCPs with blocked tool calls.

GET
/analytics/top-blocked-mcps

Top MCPs with blocked tool calls.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_mcp_analytics

Query Parameters

scope?string

own returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.

Value in"all""own"
offset?integer

Number of items to skip before returning results.

Formatint32
Range0 <= value
Default0
limit?integer

Maximum number of items to return per page.

Formatint32
Range0 <= value <= 256
Default10
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
agent_instance_id?array<>

Filter to specific agent instances by id.

agent_slug?array<string>

Filter to agents by slug, the agent type such as claude-code.

tool_name?array<string>

Filter to specific tool names.

user_id?array<>

Filter to specific users by id.

user_group?array<string>

Filter to users in specific groups.

agent_tag_id?array<>

Filter to agent instances carrying specific tags.

resource_tag_id?array<>

Filter to MCP servers carrying specific tags.

Response Body

The request has succeeded.

application/json
  1. response

Ranked list of MCPs by tool execution count.

items*array<>

The items in this page.

meta*

Paging information for a list response.

Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/top-blocked-mcps?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "slug": "string",      "count": 0    }  ],  "meta": {    "total": 0,    "offset": 0,    "limit": 0  }}